// Отримати за допомогою модального вікна браузера дані користувача: ім’я та вік.
// Якщо вік менше 18 років – показати на екрані повідомлення: You are not allowed to visit this website.
// Якщо вік від 18 до 22 років (включно) – показати вікно з наступним повідомленням: Are you sure you want to continue? і кнопками Ok, Cancel. Якщо користувач натиснув Ok, показати на екрані повідомлення: Welcome, + ім’я користувача. Якщо користувач натиснув Cancel, показати на екрані повідомлення: You are not allowed to visit this website.
// Якщо вік більше 22 років – показати на екрані повідомлення: Welcome, + ім’я користувача.
// Обов’язково необхідно використовувати синтаксис ES6 (ES2015) для створення змінних.
// Після введення даних додати перевірку їхньої коректності. Якщо користувач не ввів ім’я, або при введенні віку вказав не число – запитати ім’я та вік наново (при цьому дефолтним значенням для кожної зі змінних має бути введена раніше інформація).

// let userName = prompt("What is your name?");
// while (userName == null) {
//   userName = prompt("What is your name?");
// }
// let userAge = +prompt("How old are you?");
// while (isNaN(userAge)) {
//   userAge = +prompt("Allow, vvedy chyslo!");
// }
// if (userAge < 18) {
//   alert("You are not allowed to visit this website.");
// } else if (userAge >= 18 && userAge <= 22) {
//   const answer = confirm("Are you sure you want to continue?");
//   if (!answer) {
//     alert("You are not allowed to visit this website.");
//   } else {
//     alert("Welcome, " + userName);
//   }
// }
// if (userAge > 22) {
//   alert("Welcome, " + userName);
// }
/*
    1. Які існують типи даних у Javascript?
string, number, boolean, null, underfined, array 
    2. У чому різниця між == і ===?
== порівнює значення з приведенням до типу. Приклад '300' == 300. отримаємо true, так як приведення відбувається другого операнда до першого, в нашому випадку js взяв число 300, перетворив його на string, порівнявши - отримали true
=== строге порівнювання, яке не приводить до типу. Приклад той же '300' === 300. Результатом буде false, так як string '300' != числу 300.
    3. Що таке оператор?
Оператор - це слово або символ щоб виконати певну операцію. Операції можуть бути присвоювальні, порівняльні, логічні, арифметичні.
*/
// P.S. Число 300 вибрано не дарма, ми ж все таки ростемо програмістами xDD